lkml.org 
[lkml]   [2000]   [Aug]   [23]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: 2.4.0-test7-pre6 -- problem running depmod on Athlon CPU build
Date
On Tue, 22 Aug 2000 23:22:56 -0700, 
Miles Lane <miles@speakeasy.org> wrote:
>Greg KH wrote:
>>
>> On Tue, Aug 22, 2000 at 12:34:08PM -0700, Miles Lane wrote:
>> > I have configured my sources to compile everything
>> > into the kernel, instead of modules. Yet, if I
>> > run "make clean && make depend && make install &&
>> > make modules && make modules_install", I get s huge
>> > slew of errors when depmod gets run. The errors all
>> > seem to be due to the creation of a link:
>> >
>> > /lib/modules/2.4.0-test7/build -> /usr/src/linux/
>>
>> Have you upgraded your version of modutils to the latest?
>
>I am running the version specified in Documentation/Changes:
>modutils 2.3.13.

You need modutils 2.3.13 to match the kernel changes so
Documentation/Changes is correct - for the kernel. People with broken
entries in modules.conf where you incorrectly tell modutils to scan
*all* of /lib/modules/<version> need modutils 2.3.14. Strictly
speaking this is user error but modutils was upgraded to shield users
from their own mistakes. modutils 2.3.15 includes some compile and
install fixes so if you are going to upgrade, grab 2.3.15.

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 12:38    [W:0.063 / U:0.492 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site